Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi
Interface SearchOps

All Superinterfaces
  Serializable

All Known Subinterfaces:
  ExtendedSearchOps

Deprecated As of 10.2, replaced by `SearchOpsV1`. The SPI interfaces in the com.bea.content.spi package have all been deprecated as of 10.2. BEA does not intend to remove these interfaces during the next major release of WebLogic Portal. However, please note that new development should take place using the com.bea.content.spi.flexspi interfaces going forward.

    @Deprecated
    public interface SearchOps

extends Serializable

SearchOps is used to search over Nodes and Properties and return the Node ids that match the given criteria.

See Also
  `ExtendedSearchOps`

Method Summary
`ID[]` | `search(Search search)` Deprecated Performs a search with the given parameters.

Method Detail

### search

    ID[] search(Search search)
                throws AuthorizationException,
                       RepositoryException

  Deprecated
  Performs a search with the given parameters.

  If the SPI does not support FullText Search, this method may either return a null or empty array which the VCR will interpret as an empty result set. Otherwise, an exception may be thrown and that exception will be reported to the user when calling `ISearchManager.search(com.bea.content.ContentContext, com.bea.content.expression.Search)`.

  Parameters
    `search` - the search parameters (including the expression).
  Returns
    an array of Node ids.
  Throws
    `AuthorizationException` - - if the user attempting the operation isn't authenticated against the repository.
    `RepositoryException` - - if validation error occurs.
  See Also
    `Search.isFullTextSearch()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved